Bug 717750 - Review Request: lttv - Linux Trace Toolkit Viewer
Summary: Review Request: lttv - Linux Trace Toolkit Viewer
Keywords:
Status: CLOSED DUPLICATE of bug 1024127
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-29 19:07 UTC by Yannick Brosseau
Modified: 2013-10-29 04:41 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-30 21:37:58 UTC


Attachments (Terms of Use)

Description Yannick Brosseau 2011-06-29 19:07:23 UTC
Spec URL: http://www.dorsal.polymtl.ca/~ybrosseau/fedora/SPECS/lttv.spec
SRPM URL: http://www.dorsal.polymtl.ca/~ybrosseau/fedora/SRPMS/lttv-0.12.38-1.src.rpm 
Description: 
LTTV is a modular trace viewer. It can perform analysis on traces of a Linux
kernel instrumented with LTTng and UST.

Comment 2 Martin Gieseking 2011-08-09 19:02:11 UTC
Hi Yannik,

here are a few quick notes on your spec:

- use %global rather than %define, also see http://fedoraproject.org/wiki/Packaging:Guidelines#.25global_preferred_over_.25define

- in order to increase legibility, please indent (line up) the text of the 
  header fields (Summary, Name, Version, etc.)

- also list all BuildRequires separately

- You can drop the BuildRoot field. It's still required for EPEL < 6, though.
  If you want to build the package for the old EPEL distros, you have to add 
  a %clean section and rm -rf $RPM_BUILD_ROOT at the beginning of %install.
http://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies#Distribution_specific_guidelines

- Replace LGPL v2.1 with LGPLv2, and GPL v2 with GPLv2. See here for a list 
  of valid license abbreviations: http://fedoraproject.org/wiki/Licensing:Main

- devel packages must require the corresponding base/lib package with a fully
  versioned dependency: 
  http://fedoraproject.org/wiki/PackagingGuidelines#Requiring_Base_Package

- add a non-empty %description to the devel package

- The %description lines must not exceed 80 chars per line. Just split them
  appropriately. 

- Drop RPM_OPT_FLAGS="$RPM_OPT_FLAGS -fstack-protector-all" from the make 
  statement as it has no effect.

- as the base package seems to provide a GUI application, you must provide
  a .desktop file and install it properly:
  http://fedoraproject.org/wiki/PackagingGuidelines#Desktop_files

- replace %defattr(-,root,root) with %defattr(-,root,root,-) or remove it 
  completely. It's still required if you plan to maintain the package for
  EPEL 4 as well.

- add AUTHORS, ChangeLog, COPYING, and README to the base package (with %doc).

Comment 3 Yannick Brosseau 2011-08-12 19:38:35 UTC
Hi Martin,

Thanks for the feedback. I'm preparing an updated package based on your comments

Just one question.  

> - add a non-empty %description to the devel package

Do you mean to add a more detailed description to devel packages? Because all the package seem to have a description.

Comment 4 Martin Gieseking 2011-08-12 20:03:54 UTC
(In reply to comment #3)
> > - add a non-empty %description to the devel package
> 
> Do you mean to add a more detailed description to devel packages? Because all
> the package seem to have a description.

Yes, sorry. I was probably too tired and was fooled by my brain when I had a look at your package. The description texts are fine. Just ignore that comment. ;)

Comment 6 Jason Tibbitts 2013-04-30 18:49:58 UTC
I am triaging old review tickets.  I can't promise a review if you reply, but by closing out the stale tickets we can devote extra attention to the ones which aren't stale.

Package fails to build for me.  Here is a scratch build in rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=5318819

A build in f18 fails for me in the same manner.

Comment 7 Yannick Brosseau 2013-04-30 19:01:09 UTC
This old version is not supported anymore upstream. A completely reworked version is being worked on. 

Is it best to close this one and recreate a new one when a new version is available upstream (probably in a few months) ?

Comment 8 Jason Tibbitts 2013-04-30 21:37:58 UTC
No point in having a ticket open when there's nothing to review, so I'll go ahead and close this.

Comment 9 Christopher Meng 2013-10-29 04:41:26 UTC

*** This bug has been marked as a duplicate of bug 1024127 ***


Note You need to log in before you can comment on or make changes to this bug.